Package com.sap.ai.sdk.core.model

# Class BckndDeploymentResourceQuotaResponse

java.lang.Object
com.sap.ai.sdk.core.model.BckndDeploymentResourceQuotaResponse

public class BckndDeploymentResourceQuotaResponse extends Object
BckndDeploymentResourceQuotaResponse

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndDeploymentResourceQuotaResponse.Builder`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndDeploymentResourceQuotaResponse()`
  Default constructor for BckndDeploymentResourceQuotaResponse.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndDeploymentResourceQuotaResponse`
  `addQuotasItem(BckndDeploymentQuotaItem quotasItem)`
  Add one quotas instance to this `BckndDeploymentResourceQuotaResponse`.
  `static BckndDeploymentResourceQuotaResponse.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndDeploymentResourceQuotaResponse` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndDeploymentResourceQuotaResponse`.
  `List<BckndDeploymentQuotaItem>`
  `getQuotas()`
  Get quotas
  `BckndDeploymentUsage`
  `getUsage()`
  Get usage
  `int`
  `hashCode()`
  `BckndDeploymentResourceQuotaResponse`
  `quotas(List<BckndDeploymentQuotaItem> quotas)`
  Set the quotas of this `BckndDeploymentResourceQuotaResponse` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndDeploymentResourceQuotaResponse` instance.
  `void`
  `setQuotas(List<BckndDeploymentQuotaItem> quotas)`
  Set the quotas of this `BckndDeploymentResourceQuotaResponse` instance.
  `void`
  `setUsage(BckndDeploymentUsage usage)`
  Set the usage of this `BckndDeploymentResourceQuotaResponse` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndDeploymentResourceQuotaResponse` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndDeploymentResourceQuotaResponse`
  `usage(BckndDeploymentUsage usage)`
  Set the usage of this `BckndDeploymentResourceQuotaResponse` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndDeploymentResourceQuotaResponse

    protected BckndDeploymentResourceQuotaResponse()
    Default constructor for BckndDeploymentResourceQuotaResponse.

- ## Method Details

  - ### usage

    @Nonnull public BckndDeploymentResourceQuotaResponse usage(@Nullable BckndDeploymentUsage usage)
    Set the usage of this `BckndDeploymentResourceQuotaResponse` instance and return the same instance.
    Parameters:
      `usage` - The usage of this `BckndDeploymentResourceQuotaResponse`
    Returns:
      The same instance of this `BckndDeploymentResourceQuotaResponse` class

  - ### getUsage

    @Nonnull public BckndDeploymentUsage getUsage()
    Get usage
    Returns:
      usage The usage of this `BckndDeploymentResourceQuotaResponse` instance.

  - ### setUsage

    public void setUsage(@Nullable BckndDeploymentUsage usage)
    Set the usage of this `BckndDeploymentResourceQuotaResponse` instance.
    Parameters:
      `usage` - The usage of this `BckndDeploymentResourceQuotaResponse`

  - ### quotas

    @Nonnull public BckndDeploymentResourceQuotaResponse quotas(@Nonnull List<BckndDeploymentQuotaItem> quotas)
    Set the quotas of this `BckndDeploymentResourceQuotaResponse` instance and return the same instance.
    Parameters:
      `quotas` - The quotas of this `BckndDeploymentResourceQuotaResponse`
    Returns:
      The same instance of this `BckndDeploymentResourceQuotaResponse` class

  - ### addQuotasItem

    @Nonnull public BckndDeploymentResourceQuotaResponse addQuotasItem(@Nonnull BckndDeploymentQuotaItem quotasItem)
    Add one quotas instance to this `BckndDeploymentResourceQuotaResponse`.
    Parameters:
      `quotasItem` - The quotas that should be added
    Returns:
      The same instance of type `BckndDeploymentResourceQuotaResponse`

  - ### getQuotas

    @Nonnull public List<BckndDeploymentQuotaItem> getQuotas()
    Get quotas
    Returns:
      quotas The quotas of this `BckndDeploymentResourceQuotaResponse` instance.

  - ### setQuotas

    public void setQuotas(@Nonnull List<BckndDeploymentQuotaItem> quotas)
    Set the quotas of this `BckndDeploymentResourceQuotaResponse` instance.
    Parameters:
      `quotas` - The quotas of this `BckndDeploymentResourceQuotaResponse`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndDeploymentResourceQuotaResponse`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndDeploymentResourceQuotaResponse` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndDeploymentResourceQuotaResponse` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndDeploymentResourceQuotaResponse` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndDeploymentResourceQuotaResponse.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndDeploymentResourceQuotaResponse` instance with all required arguments.